Results 1 to 4 of 4

Thread: libpng-1.2.32 installation

  1. #1
    Join Date
    Jul 2008
    Location
    India
    Posts
    162

    Default libpng-1.2.32 installation

    Hi,
    I am using openSUSE 11.0. The installation of a software required me to have libpng-1.2.32 installed as well. So i downloaded the source, compiled, installed it in a separate directory and set up the paths as well.
    In order to resolve conflicts, i wish to uninstall the previous libpng version (ie 1.2.26). But YaST says that a huge number of other applications will need to be deinstalled. So how do i get around this problem?

    Any help is appreciated.

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,565
    Blog Entries
    38

    Default Re: libpng-1.2.32 installation

    Quote Originally Posted by samrat_rao View Post
    I am using openSUSE 11.0. The installation of a software required me to have libpng-1.2.32 installed as well. So i downloaded the source, compiled, installed it in a separate directory and set up the paths as well.
    In order to resolve conflicts, i wish to uninstall the previous libpng version (ie 1.2.26). But YaST says that a huge number of other applications will need to be deinstalled. So how do i get around this problem?

    Any help is appreciated.
    Well done in your compilation efforts. ... I always find it pretty neat that an average user can compile applications in Linux.

    Still, IMHO the best way to do this is NOT to custom compile like you have done (as that is the HARD WAY to do this). Instead the EASY WAY is to setup your repositories properly, do a small temporary "tweak" to them to install libpng-1.2.32, and then put your repos back the way you had them properly setup.

    Let me explain how I would do this (if it were me) and then you can adapt this to your situation. First off, I have setup my openSUSE-11.0 software with 4 and only 4 repositories (repos): OSS, NON-OSS, Update, and Packman. No others. If I need software off of other repos, I will briefly add the repo, install the software, and remove the repos. Now to setup the OSS, NON-OSS, Update, and Packman repos, follow the guidance here:
    Repositories/11.0 - openSUSE-Community
    ... again, ONLY OSS, NON-OSS, Update, and Packman. If you setup others you could have dependency problems and functional problems with unstable applications.

    Once those 4 are installed, knowing I want libpng-1.2.32 I would then search on webpin for that application. That gives me this search output: Webpin search results for libpng
    .... and looking at that, I see that user dstoecker has compiled the application and offers rpms here:
    Code:
    http://download.opensuse.org/repositories/home:/dstoecker/openSUSE_11.0
    Now I do NOT like to use the 1-click install, as I have less control over dependencies that can be installed. So instead, on a temporary basis, I add dstoecker's repos to my YaST/zypper software package manager (and install libpng3, and remove his repos) like this:
    Code:
    zypper ar http://download.opensuse.org/repositories/home:/dstoecker/openSUSE_11.0 dstoeckerrepos
    Code:
    zypper install libpng3
    Code:
    zypper rr dstoeckerrepos
    and then let zypper sort the dependency problems for you.

    Try that, and let us know how it works.

  3. #3
    Join Date
    Jul 2008
    Location
    India
    Posts
    162

    Default Re: libpng-1.2.32 installation

    Many thanks for your instructions. This is a method i was looking for, since for each software installation i used to compile, install and add paths. This didn't seem to be the best method. But then why can't the source codes be such that they remove the older versions? Or will this cause some applications to stop functioning?

    I posted my problems in two separate sections as i was not sure of the correct option. Maybe i should have said that it was repeated in another section.

    Thanks again.

  4. #4
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,565
    Blog Entries
    38

    Default Re: libpng-1.2.32 installation

    Quote Originally Posted by samrat_rao View Post
    This is a method i was looking for, since for each software installation i used to compile, install and add paths. This didn't seem to be the best method. But then why can't the source codes be such that they remove the older versions? Or will this cause some applications to stop functioning?
    Maybe some day, when the Linux community stops diverging, and starts converging on a common place to locate applications, libraries, and such ...... We are not there yet

    You may find the openSUSE concepts page of interest. And if it is way too basic, maybe you can help us improve on it, as it is a wiki: Concepts - openSUSE

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •